# Generated by Django 3.2.11 on 2022-01-22 12:51

import django.db.models.deletion
import djongo.models.fields
from django.db import migrations, models

import utility.utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='VechicleAdministration',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                                           primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(blank=True, max_length=100)),
                ('status_comment', models.TextField()),
                ('notes', models.TextField()),
                ('vehicle_group', models.CharField(blank=True, max_length=100)),
                ('retail_price', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('wholesale_price', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('special_price', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('on_road_price', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('disable_finance', models.BooleanField(default=False)),
                ('license_purchase_date', models.DateTimeField()),
                ('road_user_charges', models.BooleanField(default=False)),
                ('outstanding_road_user_charges',
                 models.BooleanField(default=False)),
                ('ruc_end_distance', models.CharField(blank=True, max_length=100)),
                ('wof_cof_expiry', models.DateTimeField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Vehicle Image',
                'verbose_name_plural': 'Vehicle Images',
                'ordering': ('created_at',),
            },
        ),
        migrations.CreateModel(
            name='VechicleExpense',
            fields=[
                ('id', djongo.models.fields.ObjectIdField(
                    auto_created=True, primary_key=True, serialize=False)),
                ('expense_type', models.CharField(blank=True, max_length=200)),
                ('part', models.CharField(blank=True, max_length=200)),
                ('supplier', models.CharField(blank=True, max_length=200)),
                ('ref_no', models.CharField(blank=True, max_length=200)),
                ('category', models.CharField(blank=True, max_length=200)),
                ('date', models.DateField(blank=True)),
                ('dealership', models.CharField(blank=True, max_length=200)),
                ('description', models.TextField()),
                ('expense', models.CharField(blank=True, max_length=200)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Vehicle Expense',
                'verbose_name_plural': 'Vehicle Expenses',
                'ordering': ('date',),
            },
        ),
        migrations.CreateModel(
            name='VechicleImage',
            fields=[
                ('id', djongo.models.fields.ObjectIdField(
                    auto_created=True, primary_key=True, serialize=False)),
                ('vehicle_image', models.URLField(blank=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Vehicle Image',
                'verbose_name_plural': 'Vehicle Images',
                'ordering': ('created_at',),
            },
        ),
        migrations.CreateModel(
            name='VechiclePurchaseInfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                                           primary_key=True, serialize=False, verbose_name='ID')),
                ('purchase_date', models.DateField()),
                ('purchase_type', models.CharField(blank=True, max_length=200)),
                ('supplier', models.CharField(blank=True, max_length=200)),
                ('purchase_note', models.TextField()),
                ('auction_grade', models.CharField(blank=True, max_length=50)),
                ('vehicle_appraisal', models.TextField()),
                ('appraised_by', models.CharField(blank=True, max_length=200)),
                ('note', models.TextField()),
                ('deliver_port', models.CharField(blank=True, max_length=200)),
                ('owner_type', models.CharField(blank=True, max_length=200)),
                ('year_first_registered', models.CharField(
                    blank=True, max_length=200)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Vehicle Purchase Information',
                'verbose_name_plural': 'Vehicle Purchase Information',
                'ordering': ('purchase_date',),
            },
        ),
        migrations.CreateModel(
            name='VehicleAdditionalInfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                                           primary_key=True, serialize=False, verbose_name='ID')),
                ('primary_color', models.CharField(blank=True, max_length=50)),
                ('secondary_color', models.CharField(blank=True, max_length=50)),
                ('doors', models.PositiveIntegerField(blank=True)),
                ('sun_proof', models.BooleanField(default=False)),
                ('wheel_size', models.PositiveIntegerField(blank=True)),
                ('wheel_composition', models.CharField(blank=True, max_length=50)),
                ('wheel_condition', models.CharField(blank=True, max_length=50)),
                ('interior_color', models.CharField(blank=True, max_length=50)),
                ('interior_trim', models.CharField(blank=True, max_length=50)),
                ('no_of_seats', models.PositiveIntegerField(blank=True)),
                ('interior_material', models.CharField(blank=True, max_length=50)),
                ('reciever_capability', models.BooleanField(default=False)),
                ('no_of_airbags', models.PositiveIntegerField(blank=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Vehicle Additional Info',
                'verbose_name_plural': 'Vehicle Additional Info',
                'ordering': ('created_at',),
            },
        ),
        migrations.CreateModel(
            name='VehicleMechanicalInfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True,
                                           primary_key=True, serialize=False, verbose_name='ID')),
                ('engine_size', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('engine_size_units', models.CharField(max_length=10)),
                ('engine_type', models.CharField(max_length=50)),
                ('primary_fuel_type', models.CharField(max_length=100)),
                ('no_of_cylinders', models.PositiveIntegerField(blank=True)),
                ('transmission', models.CharField(choices=[
                 ('Automatic', 'Automatic'), ('Manual', 'Manual')], max_length=15)),
                ('turbo', models.BooleanField(default=False)),
                ('drive_system', models.CharField(max_length=100)),
                ('battery_power', models.PositiveBigIntegerField(blank=True)),
                ('range', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('soh', models.PositiveIntegerField(blank=True)),
                ('odometer_status', models.CharField(max_length=100)),
                ('latest_reading', models.DecimalField(
                    blank=True, decimal_places=2, max_digits=15)),
                ('odometer_certified', models.BooleanField(default=False)),
                ('abs_braking', models.BooleanField(default=False)),
                ('traction_control', models.BooleanField(default=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Vehicle Mechanical Info',
                'verbose_name_plural': 'Vehicle Mechanical Info',
                'ordering': ('created_at',),
            },
        ),
        migrations.CreateModel(
            name='VechicleInfo',
            fields=[
                ('vehicle_id', models.CharField(default=utility.utils.generate_vehicle_id,
                                                max_length=30, primary_key=True, serialize=False, unique=True)),
                ('stock_code', models.CharField(blank=True, max_length=200)),
                ('manufacturer', models.CharField(blank=True, max_length=200)),
                ('model', models.CharField(blank=True, max_length=200)),
                ('year', models.CharField(blank=True, max_length=4)),
                ('registration_plate', models.CharField(blank=True, max_length=50)),
                ('vin_number', models.CharField(blank=True, max_length=200)),
                ('chassis_no', models.CharField(blank=True, max_length=200)),
                ('engine_no', models.CharField(blank=True, max_length=200)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('additonal_vehicle_info', models.OneToOneField(
                    null=True, on_delete=django.db.models.deletion.CASCADE, to='vehicle.vehicleadditionalinfo')),
                ('mechanical_info', models.OneToOneField(
                    null=True, on_delete=django.db.models.deletion.CASCADE, to='vehicle.vehiclemechanicalinfo')),
                ('purchase_info', models.OneToOneField(
                    null=True, on_delete=django.db.models.deletion.CASCADE, to='vehicle.vechiclepurchaseinfo')),
                ('vehicle_admin', models.OneToOneField(
                    null=True, on_delete=django.db.models.deletion.CASCADE, to='vehicle.vechicleadministration')),
                ('vehicle_expenses', models.ManyToManyField(
                    blank=True, to='vehicle.VechicleExpense')),
                ('vehicle_images', models.ManyToManyField(
                    blank=True, to='vehicle.VechicleImage')),
            ],
            options={
                'verbose_name': 'Vehicle Information',
                'verbose_name_plural': 'Vehicle Information',
                'ordering': ('stock_code',),
            },
        ),
    ]
